CS::Debug::VisualDebuggerHelper Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
CS::Debug::VisualDebuggerHelper Class Reference

Helper class for visual debugging tools. More...

`#include <iutil/visualdebug.h>`

List of all members.

## Static Public Member Functions
static void | DebugPosition (iObjectRegistry *object_reg, const csVector3 &position, bool persist=false, csColor color=csColor(0.0f, 1.0f, 0.0f), size_t size=3)
| Load the iVisualDebugger plugin and call iVisualDebugger::DebugPosition()
static void | DebugTransform (iObjectRegistry *object_reg, const csReversibleTransform &transform, bool persist=false, float size=0.1f)
| Load the iVisualDebugger plugin and call iVisualDebugger::DebugTransform()
static void | DebugVector (iObjectRegistry *object_reg, const csReversibleTransform &transform, const csVector3 &vector, bool persist=false, csColor color=csColor(0.0f, 1.0f, 0.0f))
| Load the iVisualDebugger plugin and call iVisualDebugger::DebugVector()
static void | Display (iObjectRegistry *object_reg, iView *view)
| Load the iVisualDebugger plugin and call iVisualDebugger::Display()

## Detailed Description

Helper class for visual debugging tools.

It lets you benefit of the iVisualDebugger plugin without the need to find a reference to it.

Definition at line 101 of file visualdebug.h.

## Member Function Documentation

static void CS::Debug::VisualDebuggerHelper::DebugPosition | ( | iObjectRegistry * | object_reg,
|  | const csVector3 & | position,
|  | bool | persist = `false`,
|  | csColor | color = `csColor (0.0f, 1.0f, 0.0f)`,
|  | size_t | size = `3`
| ) |  | `[inline, static]`

Load the iVisualDebugger plugin and call iVisualDebugger::DebugPosition()

Definition at line 120 of file visualdebug.h.

static void CS::Debug::VisualDebuggerHelper::DebugTransform | ( | iObjectRegistry * | object_reg,
|  | const csReversibleTransform & | transform,
|  | bool | persist = `false`,
|  | float | size = `0.1f`
| ) |  | `[inline, static]`

Load the iVisualDebugger plugin and call iVisualDebugger::DebugTransform()

Definition at line 107 of file visualdebug.h.

static void CS::Debug::VisualDebuggerHelper::DebugVector | ( | iObjectRegistry * | object_reg,
|  | const csReversibleTransform & | transform,
|  | const csVector3 & | vector,
|  | bool | persist = `false`,
|  | csColor | color = `csColor (0.0f, 1.0f, 0.0f)`
| ) |  | `[inline, static]`

Load the iVisualDebugger plugin and call iVisualDebugger::DebugVector()

Definition at line 134 of file visualdebug.h.

static void CS::Debug::VisualDebuggerHelper::Display | ( | iObjectRegistry * | object_reg,
|  | iView * | view
| ) |  | `[inline, static]`

Load the iVisualDebugger plugin and call iVisualDebugger::Display()

Definition at line 148 of file visualdebug.h.

The documentation for this class was generated from the following file:

- iutil/visualdebug.h